import {Processing} from '@/lib/XMLProcessor/src/core/Processing.ts'
import {Plugin, getCurrentInstance} from 'vue'
import TextA from "@/assets/file/CES-QEC-V250-A.xml?raw"
import TextB from "@/assets/file/Trans-Convert.xml?raw"
import {nodeSet} from '@/views/editor/constants/nodeParsed.ts'

const p = new Processing()
// @ts-ignore
window.$p = function() {
    p.dualCompareFromString(
        TextA,
        TextB,
        nodeSet
    )
}
export const XMLProcessing: Plugin = function(app) {
    app.provide('xmlProcessing', p);
}

export function useXMLProcessing(): Processing {
    if (getCurrentInstance()) {
        return <Processing>inject('xmlProcessing')
    }
    return p
}